<?php
/**
 * Simple Gallery 404 action
 *
 * $Id: 404.php 203 2011-02-18 17:46:16Z indy $
 *
 * $LastChangedBy: indy $
 *
 * $LastChangedDate: 2011-02-18 19:46:16 +0200 (Fri, 18 Feb 2011) $
 *
 * $Rev: 203 $
 *
 * @author Indiana Jones <indy2kro@yahoo.com>
 * @package SimpleGallery
 * @version 1.0
 * @copyright 2011 Simple Gallery
 */

/**
 * Simple Gallery 404 page not found action
 */
class SimpleGallery_Action_404 extends SimpleGallery_Action_Abstract
{
    /**
     * Main run method
     * 
     * @param array $params
     * @return void
     */
    public function run(Array $params = array())
    {
        parent::run($params);
        
        $config = SimpleGallery_Registry::get('config');
        
        if (isset($params['message'])) {
            $message = $params['message'];
        } else {
            $message = 'Unexpected error occured.';
        }

        echo '
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
      "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Page not found - ' . $config['gallery_name'] . '</title>
<link rel="stylesheet" type="text/css" href="' . $config['public_url'] . '/style.css" />
</head>

<body>
<div id="simplegallery-container">
<div class="simplegallery-exception">' . htmlspecialchars($message) . '</div>

</div>
</body>
</html>';
    }
}

/* EOF */