<?php
/**
* Auto loader
*
* $Id: AutoLoader.php 203 2011-02-18 17:46:16Z indy $
*
* $LastChangedBy: indy $
*
* $LastChangedDate: 2011-02-18 19:46:16 +0200 (Fri, 18 Feb 2011) $
*
* $Rev: 203 $
*
* @author Indiana Jones <indy2kro@yahoo.com>
* @version 1.0
* @copyright 2011 SimpleGallery
* @package SimpleGallery
*/

/**
 * Simple gallery auto loader
 */
class SimpleGallery_AutoLoader
{
    /**
     * Constructor
     *
     * @return void
     */
    public function __construct()
    {
        // do nothing
    }

    /**
     * Autoload callback for loading class files.
     *
     * @param string $class Class to load
     * @return void
     */
    public static function load($class)
    {
        $path = str_replace('_', '/', $class) . '.php';
        require_once($path);
    }

    /**
     * Registers this class as an autoloader.
     *
     * @return void
     */
    public static function register()
    {
        spl_autoload_register(array(__CLASS__, 'load'));
    }
}

/* EOF */
