<?php
/**
 * Simple Gallery router
 *
 * $Id: Router.php 203 2011-02-18 17:46:16Z indy $
 *
 * $LastChangedBy: indy $
 *
 * $LastChangedDate: 2011-02-18 19:46:16 +0200 (Fri, 18 Feb 2011) $
 *
 * $Rev: 203 $
 *
 * @author Indiana Jones <indy2kro@yahoo.com>
 * @package SimpleGallery
 * @version 1.0
 * @copyright 2011 Simple Gallery
 */

/**
 * Simple Gallery router
 */
class SimpleGallery_Router
{
    /**
     * Available actions
     */

    /**
     * Browse action
     */
    const ACTION_BROWSE = 'browse';

    /**
     * View image action
     */
    const ACTION_VIEW = 'view';

    /**
     * Thumbnail create action
     */
    const ACTION_THUMB = 'thumb';

    /**
     * Route given action
     * 
     * @param string $action Action to route
     * @param array $params Additional parameters
     * @throws SimpleGallery_Exception
     * @return void
     */
    public function route($action, Array $params = array())
    {
        switch ($action) {
            case self::ACTION_BROWSE:
                $actionBrowse = new SimpleGallery_Action_Browse();
                $actionBrowse->run($params);
                break;

            case self::ACTION_VIEW:
                $actionView = new SimpleGallery_Action_View();
                $actionView->run($params);
                break;

            case self::ACTION_THUMB:
                $actionThumb = new SimpleGallery_Action_Thumb();
                $actionThumb->run($params);
                break;

            default:
                $action404 = new SimpleGallery_Action_404();
                $action404->run($params);
                break;
        }
    }
}

/* EOF */