<?php
/**
 * Simple gallery config file
 *
 * $Id: config.php 200 2011-02-18 06:06:12Z indy $
 *
 * $LastChangedBy: indy $
 *
 * $LastChangedDate: 2011-02-18 08:06:12 +0200 (Fri, 18 Feb 2011) $
 *
 * $Rev: 200 $
 *
 * @author Indiana Jones <indy2kro@yahoo.com>
 * @package SimpleGallery
 * @version 1.0
 * @copyright 2011 Simple Gallery
 */

$config = array(
    /**
     * Full path to the images source directory
     */
    'source_directory' => dirname(__FILE__),

    /**
     * Public url for the gallery
     */
    'public_url' => 'http://localhost/TestGallery/',

    /**
     * Thumbnails directory name
     */
    'thumbnail_directory' => 'thumbnails',

    /**
     * The gallery name
     */
    'gallery_name' => 'SimpleGallery',

    /**
     * Automaticaly resize images
     *
     * WARNING! This will resize ORIGINAL images, no backup is made!
     */
    'auto_resize' => true,

    /**
     * Maximum image width
     *
     * NOTE: Only used when auto_resize is set to true
     */
    'max_width' => 800,

    /**
     * Maximum image height
     *
     * NOTE: Only used when auto_resize is set to true
     */
    'max_height' => 600,

    /**
     * Thumbnail width
     */
    'thumbnail_width' => 100,

    /**
     * Thumbnail height
     */
    'thumbnail_height' => 100,

    /**
     * The accepted file extensions
     */
    'file_extensions' => 'jpeg,jpg,gif,png',

    /**
     * Display image count for each gallery
     */
    'count_images' => true,

    /**
     * Maximum number of images to show before and after the current one
     */
    'max_nav_images_around' => 2
);

/* EOF */